import { navbar } from '../../utils/navbar.js';

function generateCallHTML(phoneNumber, name, callcount, session) {
    const head = `<head><meta charset="UTF-8"><meta name="viewport" content="width=device-width, initial-scale=1.0"><meta http-equiv="X-UA-Compatible" content="ie=edge"><link rel="stylesheet" type="text/css" href="/assets/css/form.css" /><title>AutoCallMenu</title></head>`;
    const form = `
        <form action="javascript:callFromForm()" id="callForm">
        <input type="hidden" name="phone" value="${phoneNumber}">
        <label class="switch">
            <input type="checkbox" name="vote">
            <span class="slider round"></span>
        </label>
        <label for="vote">Vote ?</label>
        <br>
        <button class="submit" type="submit">CONFIRMER</button>
        </form>
    `;
    const body = `<body>${js}${navbar(session)}<h1>Bienvenue :3</h1><h2>Appel: ${name} - ${phoneNumber}</h2><p>${callcount} appels restants</p>${form}</body>`;
    return `<!DOCTYPE html><html>${head}${body}</html>`;
}

const js = '\
<script>\
    function callFromForm() {\
        const form = document.getElementById("callForm");\
        fetch(`/api/call/${form.phone.value}`, {\
            method: "POST",\
            body: JSON.stringify({\
                vote: form.vote.value == "on" ? 1 : 0,\
            }),\
            headers: {\
                "Content-type": "application/json; charset=UTF-8"\
            }\
        })\
        .then(async (response) => {\
            const res = await response.json();\
            console.log(res);\
            if(!response.ok) return alert(res.message);\
            location.reload();\
        });\
    }\
</script>\
';

export { generateCallHTML };
