import { permissionBits } from "../../../../../utils/permissions.js";

export default {
    path: "/api/contacts/:phone",
    requiresLogin: true,
    permissions: permissionBits.ADMIN,
    type: "post",
    async execute(request, response) {
        const { phone } = request.params;
        const { firstName, lastName } = request.body;
        if (
            await global.database.contacts.findOne({
                where: { phone: phone },
            })
        ) return response.status(409).send({ message: "Contact already exists" });
        const contactParams = {
            phone: phone,
            firstName: firstName,
            lastName: lastName,
        };
        console.log(`Creating contact ${phone}`);
        console.log(contactParams);
        await global.database.contacts.create(contactParams);
        response.status(201).send(contactParams);
    },
};
