import { permissionBits } from "../../../../../utils/permissions.js";

export default {
    path: "/api/contacts/:phone",
    requiresLogin: true,
    permissions: permissionBits.ADMIN,
    type: "delete",
    async execute(request, response) {
        const { phone } = request.params;
        const contact = await global.database.contacts.findOne({
            where: { phone: phone },
        });
        if (!contact) return response.status(404).send({ message: "Contact does not exist" });
        
        await contact.destroy();
      
        response.status(200).send({});
    },
};
