import { permissionBits } from "../../../../../utils/permissions.js";

export default {
    path: "/api/users/:username",
    requiresLogin: true,
    permissions: permissionBits.ADMIN,
    type: "post",
    async execute(request, response) {
        const { username } = request.params;
        let { permissions, password } = request.body;
        if (
            await global.database.users.findOne({
                where: { username: username },
            })
        ) return response.status(409).send({ message: "User already exists" });
          
        if (!(permissions & permissionBits.DEFAULT))
            permissions ^= permissionBits.DEFAULT;

        const userParams = {
            username: username,
            password: password,
            permissions: permissions,
        }
        console.log(`Creating user ${username}`);
        await global.database.users.create(userParams);
        response.status(201).send({
            username: username,
            permissions: permissions,
        });
    },
};
