import { permissionBits } from "../../../../../utils/permissions.js";

export default {
    path: "/api/users/:username",
    requiresLogin: true,
    permissions: permissionBits.ADMIN,
    type: "delete",
    async execute(request, response) {
        const { username } = request.params;
        const user = await global.database.users.findOne({
            where: { username: username },
        });
        if (!user) return response.status(404).send({ message: "User does not exist" });
        
        await user.destroy();
      
        response.status(200).send({});
    },
};
