import { permissionBits } from "../../../../../utils/permissions.js";

export default {
    path: "/api/users/:username",
    requiresLogin: true,
    permissions: permissionBits.ADMIN,
    type: "get",
    async execute(request, response) {
        const { username } = request.params;
        const user = await global.database.users.findOne({
            where: { username: username },
        });
        if(!user || user == 0) return response.status(404).send({ message: "User does not exist" });
        response.send({
            username: user.username,
            permissions: user.permissions,
        });
    },
};
