import { permissionBits } from '../../../../../utils/permissions.js';
import { readFile } from 'fs/promises';
import { navbar } from '../../../../../utils/navbar.js';

export default {
    path: "/dashboard/contacts",
    requiresLogin: true,
    permissions: permissionBits.ADMIN,
    type: "get",
    async execute(request, response) {
        const html = await readFile(`${process.env.WWW}/dashboard/contacts/index.html`);            
        return await response.send(html.toString()
            .replace('<NAVBAR>', navbar(request.session))
        );
    },
}
