import { readFile } from "fs/promises";
import { navbar } from "../../../../../utils/navbar.js";
import { permissionBits } from "../../../../../utils/permissions.js";

export default {
    path: "/dashboard/users/create",
    requiresLogin: true,
    permissions: permissionBits.ADMIN,
    type: "get",
    async execute(request, response, args) {
        let res = await readFile(
            `${process.env.WWW}/dashboard/users/create.html`,
            "utf8",
        );
        if(args?.error) res += `
        <script type="text/javascript">
            alert("Erreur: ${args.error.replaceAll('%20', ' ')}");
        </script>`;
        response.send(res.replaceAll("<NAVBAR>", navbar(request.session)));
    },
};
